Admin Sector: Leave
Create Leave Request
File a leave request (status ‘pending’). Days default to the inclusive calendar span when not supplied.
POST
/
api
/
v1
/
leave-requests
Create Leave Request
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/leave-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"employeeId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"leaveType": "annual",
"dayPart": "full_day",
"days": 123,
"reason": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/leave-requests"
payload = {
"employeeId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"leaveType": "annual",
"dayPart": "full_day",
"days": 123,
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
employeeId: '<string>',
startDate: '<string>',
endDate: '<string>',
leaveType: 'annual',
dayPart: 'full_day',
days: 123,
reason: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/leave-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"employeeId": "<string>",
"leaveType": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"status": "<string>",
"dayPart": "full_day",
"days": 123,
"reason": "<string>",
"decisionNotes": "<string>",
"approvedById": "<string>",
"approvedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Successful Response
⌘I
Create Leave Request
